NX二开ufun函数UF

阿里云国内75折 回扣 微信号:monov8
阿里云国际,腾讯云国际,低至75折。AWS 93折 免费开户实名账号 代冲值 优惠多多 微信号:monov8 飞机:@monov6

当我们需要对一个实体进行特征操作的时候需要先选中实体设置活动实体相当于选中实体的操作。

效果图如下部件导航器里并没有选中块但是右边的块却是选中状态的颜色

实现代码如下

using System;
using NXOpen;
using NXOpen.UF;

public class Program
{
    // class members
    public static Session theSession;
    public static Part workPart;
    public static Part displayPart;
    public static NXOpen.UF.UFSession theUFSession;
    private static UI theUI = null;
    public static AssembliesUtils assem;

    public static int Main(string[] args)
    {
        theSession = Session.GetSession();
        displayPart = theSession.Parts.Display;
        theUFSession = UFSession.GetUFSession();
        theUI = UI.GetUI();
        workPart = theSession.Parts.Work;

        int retValue = 0;
        try
        {
            Tag blockTag = Tag.Null;
            blockTag = ((Body)workPart.Bodies.FindObject("BLOCK(1)")).Tag;
            int flag = 1;
            theUFSession.Modl.ActivePart(blockTag,flag);
        }
        catch (NXOpen.NXException ex)
        {
            theUI.NXMessageBox.Show("Block Styler", NXMessageBox.DialogType.Error, ex.ToString());
        }
        return retValue;
    }
}

 

 

阿里云国内75折 回扣 微信号:monov8
阿里云国际,腾讯云国际,低至75折。AWS 93折 免费开户实名账号 代冲值 优惠多多 微信号:monov8 飞机:@monov6